home *** CD-ROM | disk | FTP | other *** search
/ Personal Computer World 2009 February / PCWFEB09.iso / Software / Linux / Kubuntu 8.10 / kubuntu-8.10-desktop-i386.iso / casper / filesystem.squashfs / usr / bin / groups < prev    next >
Text File  |  2008-06-26  |  2KB  |  85 lines

  1. #!/bin/sh
  2. # groups -- print the groups a user is in
  3. # Copyright (C) 1991, 1997, 2000, 2002, 2004-2007 Free Software Foundation, Inc.
  4.  
  5. # This program is free software: you can redistribute it and/or modify
  6. # it under the terms of the GNU General Public License as published by
  7. # the Free Software Foundation, either version 3 of the License, or
  8. # (at your option) any later version.
  9.  
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  12. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  13. # GNU General Public License for more details.
  14.  
  15. # You should have received a copy of the GNU General Public License
  16. # along with this program.  If not, see <http://www.gnu.org/licenses/>.
  17.  
  18. # Written by David MacKenzie <djm@gnu.ai.mit.edu>.
  19.  
  20. # Make sure we get GNU id, if possible; also allow
  21. # it to be somewhere else in PATH if not installed yet.
  22. PATH=/usr/bin:$PATH
  23.  
  24. usage="Usage: $0 [OPTION]... [USERNAME]...
  25.  
  26.   --help      display this help and exit
  27.   --version   output version information and exit
  28.  
  29. Same as id -Gn.  If no USERNAME, use current process.
  30.  
  31. Report bugs to <bug-coreutils@gnu.org>."
  32.  
  33. version='groups (GNU coreutils) 6.10
  34. Copyright (C) 2008 Free Software Foundation, Inc.
  35. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
  36. This is free software: you are free to change and redistribute it.
  37. There is NO WARRANTY, to the extent permitted by law.
  38.  
  39. Written by David MacKenzie.'
  40.  
  41.  
  42. for arg
  43. do
  44.   case $arg in
  45.     --help | --hel | --he | --h)
  46.       exec echo "$usage" ;;
  47.     --version | --versio | --versi | --vers | --ver | --ve | --v)
  48.       exec echo "$version" ;;
  49.     --)
  50.       shift
  51.       break ;;
  52.     -*)
  53.       echo "$0: invalid option: $arg" >&2
  54.       exit 1 ;;
  55.     *)
  56.       break ;;
  57.   esac
  58. done
  59.  
  60. # With fewer than two arguments, simply exec "id".
  61. case $# in
  62.   0|1) exec id -Gn -- "$@" ;;
  63. esac
  64.  
  65. # With more, we need a loop, and be sure to exit nonzero upon failure.
  66. status=0
  67. write_error=0
  68.  
  69. for name
  70. do
  71.   if groups=`id -Gn -- "$name"`; then
  72.     echo "$name : $groups" || {
  73.       status=$?
  74.       if test $write_error = 0; then
  75.     echo "$0: write error" >&2
  76.     write_error=1
  77.       fi
  78.     }
  79.   else
  80.     status=$?
  81.   fi
  82. done
  83.  
  84. exit $status
  85.